/*
 Theme Name:   Woodmart Child
 Description:  Woodmart Child Theme
 Author:       XTemos
 Author URI:   http://xtemos.com
 Template:     woodmart
 Version:      1.0.0
 Text Domain:  woodmart
*/

.woocommerce-notices-wrapper .woocommerce-message {
    background-color: #dfffe09e;
    color: #000;
    border-left: 4px solid #459647;
}
.custom-redirect-notice {
	display: flex;
    flex-flow: row wrap;
    justify-content: space-between;
    align-items: center;
	gap : 20px;
}
.custom-redirect-notice .btn-container {
	display: flex;
    flex-flow: row wrap;
    gap: 15px;
}
.woocommerce-notices-wrapper .woocommerce-message a.checkout-url,
.woocommerce-notices-wrapper .woocommerce-message a.rfqcart-link-shop.rfqcart-link-shop-custom{
    background: #009f4d;
    color: #fff;
    padding: 12px 22px;
    border: none;
    border-radius: 8px;
    text-decoration: none;
    font-weight: 600;
}

#quote-add-container button.single_add_to_cart_button.button.alt,
#quote-add-container .quantity{
	display : none
}
#quote-add-container button.single_add_to_cart_button.button.alt.gpls_rfq_set.gpls_rfq_css {
	display : block !important;
}
.woocommerce.gpls_woo_rfq_request_page .quantity {
    display: flex;
    flex-flow: row nowrap;
}
.woocommerce.gpls_woo_rfq_request_page .quantity input.input-text.qty.text {
    width: auto;
}
.woocommerce.gpls_woo_rfq_request_page th.company,
.woocommerce.gpls_woo_rfq_request_page td.company,
.woocommerce.gpls_woo_rfq_request_page th.address,
.woocommerce.gpls_woo_rfq_request_page td.address {
	display : none !important;
}

.custom-wc-notice {
    display: flex;
    flex-flow: column nowrap;
    gap: 20px;
    border-left: 4px solid #c51111;
    padding: 12px 24px;
    font-size: 1.4rem;
}
.custom-wc-notice .notice-message {
	display: block;
	margin-bottom: 10px;
	color: #856404;
}
.custom-wc-notice .notice-buttons {
	display: flex;
	gap: 10px;
}
.custom-wc-notice .button {
	text-decoration: none;
	padding: 8px 15px;
	border-radius: 4px;
}
.custom-wc-notice .remove-cart {
	background-color: #c51111;
	color: white;
}
.custom-wc-notice .proceed {
	background-color: #009f4d;
	color: white;
}
.single_add_to_cart_button.disabled {
	background-color : rgb(146 146 146) !important;
	cursor: not-allowed !important;
}
.single_add_to_cart_button.quote-product {
	font-size : 0;
	min-width : 120px;
}
.single_add_to_cart_button.quote-product:before {
	content : 'Add to Quote';
	left : 0;
	right : 0;
	font-size : 13px;
	opacity : 1;
	inset : unset;
}
div#tm-extra-product-options span.woocommerce-Price-amount.amount {
    display: none !important;
}

@media screen and (max-width : 768px) {
	.custom-redirect-notice {
		align-items: center;
		justify-content: center;
		text-align: center;
	}
	.custom-redirect-notice .btn-container {
		align-items : center;
		justify-content : center;
	}
}